cpw.mods.fml.common.versioning

## Class DefaultArtifactVersion

- java.lang.Object
- - cpw.mods.fml.common.versioning.DefaultArtifactVersion

- All Implemented Interfaces:
    ArtifactVersion, Comparable<ArtifactVersion>

      public class DefaultArtifactVersion
      extends Object
      implements ArtifactVersion

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactVersion(String versionNumber)`
    `DefaultArtifactVersion(String string, boolean unbounded)`
    `DefaultArtifactVersion(String label, String version)`
    `DefaultArtifactVersion(String label, VersionRange range)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ArtifactVersion o)`
    `boolean` | `containsVersion(ArtifactVersion source)`
    `boolean` | `equals(Object obj)`
    `String` | `getLabel()`
    `VersionRange` | `getRange()`
    `String` | `getRangeString()`
    `String` | `getVersionString()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactVersion

          public DefaultArtifactVersion(String versionNumber)

    - #### DefaultArtifactVersion

          public DefaultArtifactVersion(String label,
                                VersionRange range)

    - #### DefaultArtifactVersion

          public DefaultArtifactVersion(String label,
                                String version)

    - #### DefaultArtifactVersion

          public DefaultArtifactVersion(String string,
                                boolean unbounded)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(ArtifactVersion o)

      Specified by:
        `compareTo` in interface `Comparable<ArtifactVersion>`

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `ArtifactVersion`

    - #### containsVersion

          public boolean containsVersion(ArtifactVersion source)

      Specified by:
        `containsVersion` in interface `ArtifactVersion`

    - #### getVersionString

          public String getVersionString()

      Specified by:
        `getVersionString` in interface `ArtifactVersion`

    - #### getRangeString

          public String getRangeString()

      Specified by:
        `getRangeString` in interface `ArtifactVersion`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getRange

          public VersionRange getRange()